org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet

## Interface FacetOperation

All Superinterfaces:
  DerivedTypedElement, DocumentedElement, FacetElement

    public interface FacetOperation
    extends DerivedTypedElement

A representation of the model object 'Facet Operation'. A FacetOperation is a virtual operation added to all the eObjects which conform to the Facet owning the FacetOperation.

See Also:
  `EFacetPackage.getFacetOperation()`
Generated:
Model:

### Method Summary

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.DerivedTypedElement

`getOverride, getQuery, setOverride, setQuery`

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.FacetElement

`getCategories`

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.DocumentedElement

`getDocumentation, setDocumentation`